using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace WizardSample.WizardPages
{
    public partial class ReadyToInstall : ContentPane
    {
        string _btnNext;
        public ReadyToInstall()
        {
            InitializeComponent();
            Title = "Ready to Install the Program";
            Instructions = "The wizard is ready to begin installation.";
        }
        protected override void OnActivating()
        {
            if (_btnNext == null)
                _btnNext = ButtonNext.Content as string;
            ButtonNext.Content = "Install";
        }
        protected override void OnDeactivating()
        {
            ButtonNext.Content = _btnNext;
        }
    }
}
